This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 50717 - System hangs when selecting RedHat Linux from the EFI Boot Menu
System hangs when selecting RedHat Linux from the EFI Boot Menu
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 11:26 EDT by Kevin Stansell
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 14:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Stansell 2001-08-02 11:26:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
System: xSeries 380
OS: RedHat Linux 7.2 IA64 Beta 3

Description:
After installation is completed successfully and the system is rebooted, 
the system is booted by selecting RedHat Linux from the EFI Boot Menu.  
RedHat Linux 7.2 automatically puts this boot option into the menu, but 
when selected causes the system to hang.  You can boot the system by 
selecting the EFI Shell option and typing 'elilo linux' at the Shell 
prompt, but you should also be able to select RedHat Linux from the Boot 
menu.  The problem could be the installer does not setup the correct place 
for the boot partition when it places 'RedHat Linux' in the boot menu.


How reproducible:
Always

Steps to Reproduce:
1. Install RedHat Linux 7.2 Beta 3
2. Reboot System
3. Choose RedHat Linux from the EFI Boot Menu
	

Actual Results:  The system hung

Expected Results:  RedHat Linux 7.2 Beta 3 should start loading.
Comment 1 Matt Wilson 2001-08-02 14:13:18 EDT
Please send the EFI revision you're working on.  We don't have final hardware
from IBM, so we can't verify this.  It works on all the other vendor's hardware
that we have.

You should also be able to enter the boot entry editor to verify that the
installer set up the entry correctly.
Comment 2 Kevin Stansell 2001-08-02 15:21:58 EDT
EFI Shell version 1.02 [12.33]
Comment 3 Bill Nottingham 2001-08-03 01:03:42 EDT
Can you show the boot entry that's created (i.e., the output of 'efibootmgr -v'),
/etc/fstab, and /boot/efi/elilo.conf?
Comment 4 Kevin Stansell 2001-08-03 10:03:40 EDT
efibootmgr -v

BootCurrent: 0004
BootOrder: 0000,0002,0005,0004
Boot0000* Red Hat Linux  HD(1.3f.32f8e,00000000)File(\elilo.efi)
Boot0002* Acpi(PNP0A03,0)/Pci(5I0)/Mac(00D0B7AAFE90)     ACPI(a0341d0)    PCI
(0.5)MAC(00d0b7aafe90,0)
Boot0004* EFI  Vendor(d65a6b8c-71e5-4df0-a909-f0d2992b5aa9,)
Boot0005* No Description   Vendor(cf31fac5-c24e-11d2-85f3-00a0c93ec93b,81000000)


/etc/fstab

LABEL=/		/		        ext3		defaults	1 1
/dev/sda1	/boot/efi		vfat		defaults        0 0
none		/dev/pts		devpts		gid=5,mode=620	0 0
LABEL=/home	/home		        ext3		defaults	1 2
none		/proc		        proc		defaults        0 0
LABEL=/usr	/usr		        ext3		defaults	1 2
LABEL=/var      /var		        ext3		defaults	1 2
/dev/sda3	swap		        swap		defaults	0 0
/dev/cdrom	/mnt/cdrom	        iso9660	    noauto,owner,kudzu,ro 0 0
/dev/hda	/mnt/ls120.0	        auto	    noauto,owner,kudzu,ro 0 0

/boot/efi/elilo.conf

prompt
timeout=50
default-linux

image=vmlinuz-2.4.6-3.1smp
	label=linux
	initrd=initrd-2.4.6-3.1smp.img
	read-only
	root=/dev/sda6

image=vmlinuz-2.4.6-3.1
	label=linux-up
	initrd=initrd-2.4.6-3.1.img
	read-only
	root=/dev/sda6

NOTE:  I deleted the 'RedHat Linux' boot option that was placed in the EFI Menu 
by the installer, and then added a boot option that pointed to the Fat-16 
partition and the elilo.efi file. When the new boot option was selected from 
the menu the system booted normally and did not hang.
Comment 5 Bill Nottingham 2001-08-06 18:50:40 EDT
What does efibootmgr -v say *after* adding the working entry?
Comment 6 Kevin Stansell 2001-08-07 08:54:08 EDT
I reinstalled the system with EFI as the first Boot Option (had no effect on 
results, here are the results of 'efibootmgr' when the system hangs and when 
the system boot properly:

Before adding working entry:
efibootmgr -v

BootCurrent: 0004
BootOrder: 0000,0004,0002,0005
Boot0000* Red Hat Linux  HD(1,3f,32f8e,00000000)File(\elilo.efi)
Boot0002* Acpi(PNP0A03,0)/Pci(5I0)/Mac(00D0B7AAFE90)     ACPI(a0341d0)    PCI
(0.5)MAC(00d0b7aafe90,0)
Boot0004* EFI  Vendor(d65a6b8c-71e5-4df0-a909-f0d2992b5aa9,)
Boot0005* No Description   Vendor(cf31fac5-c24e-11d2-85f3-00a0c93ec93b,81000000)

After adding working entry:
efibootmgr -v

BootCurrent: 0000
BootOrder: 0004,0002,0005,0000
Boot0000* redhat  ACPI(a0341d0,1)PCI(0.2)SCSI(0,0)HD(1,3f,32f8e,00000000)File
(\elilo.efi)
Boot0002* Acpi(PNP0A03,0)/Pci(5I0)/Mac(00D0B7AAFE90)     ACPI(a0341d0)    PCI
(0.5)MAC(00d0b7aafe90,0)
Boot0004* EFI  Vendor(d65a6b8c-71e5-4df0-a909-f0d2992b5aa9,)
Boot0005* No Description   Vendor(cf31fac5-c24e-11d2-85f3-00a0c93ec93b,81000000)
Comment 7 Mike Sklar 2001-08-08 10:25:46 EDT
I had the same problem on my intel whitebox quad lion C0 stepping with the
7.2beta3 "roswell". BIOS 76 and EFI v1.02. I had to remove the Redhat Linux boot
option from the EFI menu and just type elilo at the prompt.
Comment 8 Mike Sklar 2001-08-08 10:26:09 EDT
I had the same problem on my intel whitebox quad lion C0 stepping with the
7.2beta3 "roswell". BIOS 76 and EFI v1.02. I had to remove the Redhat Linux boot
option from the EFI menu and just type elilo at the prompt.
Comment 9 Bill Nottingham 2001-08-08 13:46:33 EDT
Matt, are we relying on some feature that's not always enabled in the firmware?
(EDD, for example?)
Comment 10 Matt Domsch 2001-08-08 14:27:06 EDT
They've got more than one disk in the system, with more than one EFI System 
Partition, and it's using MBR-style partition tables without signatures.  The 
newer efibootmgr 0.3.3 (plus one patch from Richard Hirst) will write 
signatures to such disks so it'll work better.

If you use the new efibootmgr to write a signature to the disk, or use GPT to 
partition the disk, you won't have this problem.

The "No Description" entry shows you're trying to boot off of a second disk 
too, which should be fine.
Comment 11 Bill Nottingham 2001-08-09 21:10:33 EDT
Should be fixed in the next build (efibootmgr-0.3.3 is included, and we use '-w'
in the installer.
Comment 12 Matt Domsch 2001-08-09 21:28:18 EDT
Did you also add the patch from Richard Hirst that came across.  He caught my 
inability to add...

If you need, I'll just cut a 0.3.4.

Note You need to log in before you can comment on or make changes to this bug.